3

Drupal Answers is a great resource, but a lot of the archive is not relevant to Drupal 8.

Searching for answers is troublesome, because much of the content is applies to earlier versions of Drupal and it can be very difficult to determine which content might be useful.

There are tags for 7 and 8, but these are often not used.

In trying to make my questions for search friendly I have sometimes prefixed it with D8: This idea it turns out is futile because a StackExchange regular will come usually along and edit it away. (Please don't get me started on the mods editing my questions).

I think this is a genuine issue and expect that many users will agree. So what can be done to make information relevant for those interested in a specific version?

As for me, I think prefixing a question with D7 or D8 or otherwise including the major version number in the title is the way to go.

What do you think?

  • 1
    Probably goes on Meta, but I try to edit every post that does not have a version tag and add that tag. I think the reason titles are cleaned is to make searching easier. – Kevin Jun 11 '18 at 17:17
  • 1
    The version tag is not always useful. What should we do with multiple posts like "how to preprocess html" for every single major Drupal version when all that changes is just some minimal variable? – leymannx Jun 11 '18 at 18:30
  • 1
    @Kevin – As said in the linked Meta post I'd recommend to use version tags only when they are really necessary to prevent duplicate content. – leymannx Jun 11 '18 at 18:34
  • 1
    Possible duplicate of Help Save the DVT! – leymannx Jun 11 '18 at 20:46
  • 1
    +1 for bringing up this interesting discussion topic again ... even though I don't think it's a duplicate of what's mentioned in the prior coment by @leymannx ... My 2 cents to answer this question is pretty similar to what I already answered in drupal.meta.stackexchange.com/a/3636/39516 And just in case this link may stop working: IMO each and every question is always related to "a" version of Drupal (D6, D7, D8). If an answer is about another version, OPer will say "sorry, I'm using another version" ... So why not make that part of the question via a required version tag? – Pierre.Vriens Jul 14 '18 at 7:38

You must log in to answer this question.

Browse other questions tagged .